<?php

$plugins->add_hook("class_moderation_delete_thread_start", "cannot_delete_threads");

function cannot_delete_threads_info()
{
	
	return array(
		"name"			=> "Zakaz usuwania tematów",
		"description"	=> "Plugin zabrania usuwania tematów wybranym użytkownikom.",
		"website"		=> "http://forum.mybboard.pl/uzytkownik-mybb-fastlone_3738",
		"author"		=> "Fastlone",
		"authorsite"	=> "http://forum.mybboard.pl/uzytkownik-mybb-fastlone_3738",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "*"
	);
}

function cannot_delete_threads_activate()
{
	global $db;
	$setting_group_array = array(
		"name" => "cannot_delete_threads",
		"title" => "Zakaz usuwania tematów",
		"description" => "Opcje pluginu",
		"disporder" => 1221,
		"isdefault" => 0
		);
	$db->insert_query('settinggroups', $setting_group_array);
	$group = $db->insert_id();
	
	$settings = array(
		'cannot_delete_threads_onoff' => array('Plugin włączony?', 'Zaznacz tak, jeśli chcesz blokować konkretnym użytkownikom możliwość kasowania tematów.', 'onoff', '1'),
		'cannot_delete_threads_ids' => array('Użytkownicy', 'Wprowadź id użytkowników, którym chcesz zablokować możliwość kasowania tematów. ID oddziel <b>przecinkiem (,)</b> !!!', 'text', ''),
		'cannot_delete_threads_info' => array('Komunikat', 'Komunikat, jaki będzie się wyświetlał użytkownikom w razie zabronienia im usuwania tematów.', 'text', 'Nie możesz usuwać tematów!'),
		);

	$i = 1;
	foreach($settings as $name => $sinfo)
	{
		$insert_array = array(
			'name' => $name,
			'title' => $db->escape_string($sinfo[0]),
			'description' => $db->escape_string($sinfo[1]),
			'optionscode' => $db->escape_string($sinfo[2]),
			'value' => $db->escape_string($sinfo[3]),
			'gid' => $group,
			'disporder' => $i,
			);
		$db->insert_query("settings", $insert_array);
		$i++;
	}
	rebuildsettings();

}

function cannot_delete_threads_deactivate()
{
	global $db;
	$result = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name = 'cannot_delete_threads' LIMIT 1");
	$group = $db->fetch_array($result);
	
	if(!empty($group['gid']))
	{
		$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid = $group[gid] LIMIT 1");
		$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE gid = $group[gid]");
	}
	rebuild_settings();
}

function cannot_delete_threads($tid)
{
	global $mybb, $db;
	if (in_array($mybb->settings['cannot_delete_threads_onoff'], array("no", "0", "off")))
		return false;
	$id = explode(",", $mybb->settings['cannot_delete_threads_ids']);
	for ($i=0;$i<count($id);$i++)
	{
		$ids[] = $id[$i];
	}
	if (in_array($mybb->user['uid'], $ids))
		error($mybb->settings['cannot_delete_threads_info']);

}

?>